Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #1849 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

paster tginfo dies at DBSprockets

Reported by: chrismiles Owned by: alberto
Priority: normal Milestone: 2.0
Component: ToscaWidgets Version: trunk
Severity: normal Keywords:
Cc:

Description

After a fresh install of tg2 I get an error when running "paster tginfo" (reproduced on both OS X and Ubuntu).

Information is shown for various TG2 components, until it gets to DBSprockets.

  * DBSprockets 0.2-r356:
Traceback (most recent call last):
  File "/opt/python-2.5.1/bin/paster", line 8, in <module>
    load_entry_point('PasteScript==1.6.2', 'console_scripts', 'paster')()
  File "/opt/python-2.5.1/lib/python2.5/site-packages/PasteScript-1.6.2-py2.5.egg/paste/script/command.py", line 79, in run
    invoke(command, command_name, options, args[1:])
  File "/opt/python-2.5.1/lib/python2.5/site-packages/PasteScript-1.6.2-py2.5.egg/paste/script/command.py", line 118, in invoke
    exit_code = runner.run(args)
  File "/opt/python-2.5.1/lib/python2.5/site-packages/PasteScript-1.6.2-py2.5.egg/paste/script/command.py", line 213, in run
    result = self.command()
  File "/home/chris/dl/Python/TurboGears2/tg2/tg/commands/info.py", line 65, in command
    tool = entrypoint.load()
  File "/opt/python-2.5.1/lib/python2.5/site-packages/setuptools-0.6c8-py2.5.egg/pkg_resources.py", line 1912, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/opt/python-2.5.1/lib/python2.5/site-packages/tw.forms-0.8.1.2-py2.5.egg/tw/forms/__init__.py", line 9, in <module>
    from tw.forms.core import *
  File "/opt/python-2.5.1/lib/python2.5/site-packages/tw.forms-0.8.1.2-py2.5.egg/tw/forms/core.py", line 12, in <module>
    from tw.api import (Widget, WidgetRepeater, RequestLocalDescriptor,
ImportError: cannot import name RepeatingWidgetBunch

The installed version of ToscaWidgets? was 0.8.6.1; tw.forms was 0.8.1.2.

Change History

comment:1 Changed 11 years ago by chrismiles

  • Status changed from new to closed
  • Resolution set to fixed

Fixed now that ToscaWidgets? 0.8.7 is released. If this version is installed there is no error.

Note: See TracTickets for help on using tickets.